10.0 SDK alongside ArcGIS 10.1

1261
4
09-30-2012 06:50 PM
Highlighted
Occasional Contributor III
I have Visual Studio 2010 and ArcGIS 10.1 installed on my PC - these work together well.

However I need to support some tools for people still using ArcGIS 10.0, but I find I am unable to due to needing 10.0 SDK installed on my machine, and I can't install it (I get a message telling me I need ArcGIS 10.0 installed to install SDK).

Is there any way to get the 10.0 SDK installed so I can update and support these tools?

Thanks,
Mike.
Reply
0 Kudos
4 Replies
Highlighted
New Contributor III
In order to support the tools I would say you only need the 10.0 .NET libraries in order to compile them.

Try following these steps:

Copy the "ArcGIS\DeveloperKit10.0\DotNet" folder to your development machine.
On the projects that you would like to be 10.0 compatible, remove all existing ESRI references and then replace them with the 10.0 ones via "Add reference" and selecting the equivalent libraries from 10.0 folder using the "Examine" tab.  
Compile and you should be done. Your tools are now 10.0 compatible, unless you are using any 10.1 new interfaces.

Hope this solution works for you.
Regards,
Javi
Reply
0 Kudos
Highlighted
New Contributor
In order to support the tools I would say you only need the 10.0 .NET libraries in order to compile them.

Try following these steps:

Copy the "ArcGIS\DeveloperKit10.0\DotNet" folder to your development machine.
On the projects that you would like to be 10.0 compatible, remove all existing ESRI references and then replace them with the 10.0 ones via "Add reference" and selecting the equivalent libraries from 10.0 folder using the "Examine" tab.  
Compile and you should be done. Your tools are now 10.0 compatible, unless you are using any 10.1 new interfaces.

Hope this solution works for you.
Regards,
Javi


I have a project on a dev machine that references the ArcGIS\DeveloperKit10.0\DotNet libraries  (ArcObjects SDK for the Microsoft .NET Framework v10.0.2414 is installed).  Is it supposed to work if deployed to a workstation that has ArcGIS Engine 10.1 installed?

Thanks,
Chris H.
Reply
0 Kudos
Highlighted
Regular Contributor III
Customized code will run in the context of Engine if the assemblies referenced are present.

Here is a discussion of this:

http://resources.arcgis.com/en/help/arcobjects-net/componenthelp/index.html

Another question to ask is how the customized code is run/invoked.  Engine is just a toolkit for building a custom application versus ArcMap which is an application.
Reply
0 Kudos
Highlighted
Regular Contributor II
Copied the SDK before uninstalling 10.0.
Installed 10.1, copy back the 10.0 along side
reference 10.0 assemblies
ignore the 10.1 target warning when building and compiling.

There are various dept. some on 10.1 and some on 10.0, there are no issues. (using Addin Server deploy means)

Richards answer also answers the Engine question.
Reply
0 Kudos